#!/bin/sh
#
# Name: tioccons.sh
# Date: 2014-04-15
# Author: Iskratel d.o.o
### BEGIN INIT INFO
# Required-Start:  
# Required-Stop:
# Should-Start:
# Should-Stop:
# Default-Start:
# Default-Stop:
# Short-Description: Redirect console outout into ttyprintk 
# Description: 
### END INIT INFO 
#chkconfig: S 0 0
#

export TIOCCONS=/sbin/tioccons

if [ "x${1}" == "xstart" ] && [ -x ${TIOCCONS} ]
then
	$TIOCCONS /dev/ttyprintk
	RET=$?

	if [ $RET -eq 0 ]
	then
		echo "Console output successfully redirected to console, dmesg and messages!" > /dev/console
	else
		echo "Failed to redirect console output to console, dmesg and messages!"
	fi
fi

exit 0
                                        
